Get a Timesheet Batch
get
/public/v1/timesheet-batches/{timesheetBatch}Reports every attempt to send the batch's shifts to the provider's payroll platform, oldest first.
timesheetBatchstringrequiredThe timesheet batch UUID
Response
200application/jsonTimesheetBatchResource
dataobjectrequired▶Show 5 child attributesHide child attributes
idstringrequiredExample:t1s2b3a4-t5c6-47h8-9a0b-1c2d3e4f5a6bstartstringrequiredExample:2024-01-07T13:00:00+00:00endstringrequiredExample:2024-01-21T12:59:59+00:00created_atstringrequiredExample:2024-01-22T09:30:00+00:00payroll_sendsobject[]required▶Show 10 child attributesHide child attributes
idstringrequiredExample:e1m2p3o4-t5h6-47e8-9a0b-1c2d3e4f5a6bplatformenum<string>requiredAvailable options:Employment HeroMYOBPayCatQuickBooks PayrollXeroOtherstatusstringrequiredExample:completedmethodstring | nullrequiredExample:createtotal_linesinteger | nullrequiredExample:42successful_linesinteger | nullrequiredExample:42failed_linesinteger | nullrequiredExample:0failed_reasonstringrequiredsynced_atstring | nullrequiredExample:2024-01-22T09:35:00+00:00created_atstringrequiredExample:2024-01-22T09:30:00+00:00
401Unauthenticated403Authorization error404Not found